> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/eye-age.md).

# Eye Age Result Scheme

Haut.AI provides an AI algorithm that estimates the age in years of a particular face based on the eye area only.

## **Description**

{% content-ref url="/pages/YyGLtiUuZ5g7bHrPzKXR" %}
[Eye Age Algorithm](/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/eye-age-algorithm.md)
{% endcontent-ref %}

## `algorithm_tech_name`

`eye_age`

## `area_name`

The algorithm returns metrics for the following facial areas:

* `face` i.e., an average of the predictions for the left and right eye
* `left_eye_outer`
* `right_eye_outer`

## `main_metric`

The main metric estimates the eye age in years of a particular face image

```javascript
"main_metric": {
                "value": 21,
                "widget_type": "numeric",
                "name": "Left Eye Age",
                "tech_name": "left_eye_age",
                "widget_meta": null
            },
```

* **`value`** is the estimated eye age in years
* `"widget_type": "numeric"`
* `name` possible values are:
  * `"Eye Age"`
  * `"Left Eye Age"`
  * `"Right Eye Age"`
* `tech_name`possible values are:
  * `"eye_age"`
  * `"left_eye_age"`
  * `"right_eye_age"`

## `sub_metrics`

The algorithm doesn't return any

## `masks_restored`

The algorithm doesn't return any

## `masks_original`

The algorithm doesn't return any

## **Example (JSON)**

```javascript
{
    "algorithm_tech_name": "eye_age",
    "image_type": "selfie",
    "area_results": [
        {
            "area_name": "face",
            "main_metric": {
                "value": 24,
                "widget_type": "numeric",
                "name": "Eye Age",
                "tech_name": "eye_age",
                "widget_meta": null
            },
            "sub_metrics": null
        },
        {
            "area_name": "left_eye_outer",
            "main_metric": {
                "value": 21,
                "widget_type": "numeric",
                "name": "Left Eye Age",
                "tech_name": "left_eye_age",
                "widget_meta": null
            },
            "sub_metrics": null
        },
        {
            "area_name": "right_eye_outer",
            "main_metric": {
                "value": 27,
                "widget_type": "numeric",
                "name": "Right Eye Age",
                "tech_name": "right_eye_age",
                "widget_meta": null
            },
            "sub_metrics": null
        }
    ],
    "masks_restored": null,
    "masks_original": null
}
```

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/eye-age.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
